The International Simutrans Forum

Development => Bug Reports => Topic started by: z9999+ on October 02, 2013, 12:45:11 PM

Title: Pak backward compatibility issue on double-height
Post by: z9999+ on October 02, 2013, 12:45:11 PM
This may be too late to discuss, but why old pak doesn't have backward compatibility with new double height ?
Format of new pak image is single-height plus double-height.
This is not a problem for pak64. Because old single-height is the same as new single height. But pak128 has problem.

Old pak addon of pak128 has correct double-height image but it cannot build on double-height.
And old pak addon of pak128 hasn't correct half-height image but it can build on half-height, but image in wrong.

For example, when an old pak128 savegame loaded, slope is correctly converted to new double-height, but once player destroyed way/bridge on slope, player cannot build it again.

Pak128 players will lost a lot of existent addons.
This is really strange.

I think, new pak format should be default-height plus optional-height.
Optional-height depends on pak_height_conversion_factor, double-height for pak64, half-height for pak128.

But yes, it's too late.
Title: Re: Pak backward compatibility issue on double-height
Post by: greenling on October 02, 2013, 02:24:39 PM
Hello z9999+
that old addons not more without bug in brand new Simutrans nightly work, it the Hammer.
Dwachs and Prissi are totality over worked that she not remember on the usability form old addons.
That it one of the point, that kill Addon developer and destroy the pakset updating.

Edit: Now can i through this flault many old addon thorw away.
Title: Re: Pak backward compatibility issue on double-height
Post by: Fabio on October 02, 2013, 07:45:54 PM
Unfortunately every piece of software needs maintaining after its release. Release and forget is not the way to go.  Their creators must assume their responsibility and release updated paks.
Title: Re: Pak backward compatibility issue on double-height
Post by: greenling on October 02, 2013, 07:56:46 PM
Hello Fabio
Unfortunately every piece of software needs maintaining after its release. Release and forget is not the way to go.  Their creators must assume their responsibility and release updated paks.
That do not go. ::'( Those addons over they i speak can i not new build, there i have no png and dats more. ::'(
Or there the Devloper are go lost. ::'(
Title: Re: Pak backward compatibility issue on double-height
Post by: prissi on October 02, 2013, 08:42:20 PM
I think z9999+ is right. A way only buildable on steep slopes (i.e. a rail with sawtooth rods in the middle) could be a possible woudl require such images too.
Title: Re: Pak backward compatibility issue on double-height
Post by: greenling on October 02, 2013, 08:48:51 PM
Hello Prissi
It possible to build in a compat.conf for old pakfiles?